import request from '@/utils/request'

//增加项目
export function addBtsBaseParam(paramData) {
    return request({
        url: '/bparam/addBtsBaseParam',
        method: 'post',
        data: paramData
    })
}
//修改某项目
export function updateBtsBaseParam(paramData) {
    return request({
        url: '/bparam/updateBtsBaseParam',
        method: 'post',
        data: paramData
    })
}

//删除某项目
export function deleteBtsBaseParam(paramData) {
    return request({
        url: '/bparam/deleteBtsBaseParam',
        method: 'post',
        data: paramData
    })
}

//获得某条项目记录
export function getBtsBaseParamById(paramData) {
    return request({
        url: '/bparam/getBtsBaseParamById',
        method: 'post',
        data: paramData
    })
}

//查询满足条件的所有数据
export function getBtsBaseParamList(paramData) {
    return request({
        url: '/bparam/getBtsBaseParamList',
        method: 'post',
        data: paramData
    })
}

//获得分页数据
export function getBtsBaseParamPageList(paramData) {
    return request({
        url: '/bparam/getBtsBaseParamPageList',
        method: 'post',
        data: paramData
    })
}

//查询设备信息
export function getBtsOamParamDeviceHan(paramData) {
    return request({
        url: '/bparam/getBtsOamParamDeviceHan',
        method: 'post',
        data: paramData
    })
}

//查询网管参数
export function getBtsOamParamNetwork(paramData) {
    return request({
        url: '/bparam/getBtsOamParamNetwork',
        method: 'post',
        data: paramData
    })
}

//设置网管参数
export function setBtsOamParamNetwork(paramData) {
    return request({
        url: '/bparam/setBtsOamParamNetwork',
        method: 'post',
        data: paramData
    })
}


//查询同步参数
export function getBtsOamParamSync(paramData) {
    return request({
        url: '/bparam/getBtsOamParamSync',
        method: 'post',
        data: paramData
    })
}

//设置同步参数
export function setBtsOamParamSync(paramData) {
    return request({
        url: '/bparam/setBtsOamParamSync',
        method: 'post',
        data: paramData
    })
}

//查询增益参数
export function getBtsOamParamGain(paramData) {
    return request({
        url: '/bparam/getBtsOamParamGain',
        method: 'post',
        data: paramData
    })
}

//配置增益参数
export function setBtsOamParamGain(paramData) {
    return request({
        url: '/bparam/setBtsOamParamGain',
        method: 'post',
        data: paramData
    })
}


//查询安装参数
export function getBtsOamParamInstall(paramData) {
    return request({
        url: '/bparam/getBtsOamParamInstall',
        method: 'post',
        data: paramData
    })
}

//配置安装参数
export function setBtsOamParamInstall(paramData) {
    return request({
        url: '/bparam/setBtsOamParamInstall',
        method: 'post',
        data: paramData
    })
}


//查询基站参数
export function getBtsOamParamBts(paramData) {
    return request({
        url: '/bparam/getBtsOamParamBts',
        method: 'post',
        data: paramData
    })
}

//配置基站参数
export function setBtsOamParamBts(paramData) {
    return request({
        url: '/bparam/setBtsOamParamBts',
        method: 'post',
        data: paramData
    })
}

//查询定位类型参数
export function getBtsOamParamLocationType(paramData) {
    return request({
        url: '/bparam/getBtsOamParamLocationType',
        method: 'post',
        data: paramData
    })
}

//配置定位类型参数
export function setBtsOamParamLocationType(paramData) {
    return request({
        url: '/bparam/setBtsOamParamLocationType',
        method: 'post',
        data: paramData
    })
}

//查询RTC参数
export function getBtsOamParamRtc(paramData) {
    return request({
        url: '/bparam/getBtsOamParamRtc',
        method: 'post',
        data: paramData
    })
}

//配置RTC参数
export function setBtsOamParamRtc(paramData) {
    return request({
        url: '/bparam/setBtsOamParamRtc',
        method: 'post',
        data: paramData
    })
}

//保存参数
export function saveBtsOamParam(paramData) {
    return request({
        url: '/bparam/saveBtsOamParam',
        method: 'post',
        data: paramData
    })
}

//设备复位
export function resetBts(paramData) {
    return request({
        url: '/bparam/resetBts',
        method: 'post',
        data: paramData
    })
}

